.stat-improvement-card {
    --block-bg: #FFFAF5;
    --bar-bg: linear-gradient(90deg, #FF6900 0%, #FE9A00 100%);
    --icon-bg: linear-gradient(135deg, #FF6900 0%, #FE9A00 100%);
    --metric-color: linear-gradient(90deg, #FF6900 0%, #FE9A00 100%);
    --text-color: #FF6900;
    flex: 1;
    position: relative;
    padding: 24px;
    padding-top: 32px;
    background: var(--block-bg);
    border-radius: 16px;
    overflow: hidden;
}

.stat-improvement-card.white-card {
    --block-bg: #fff;
    border: 1px solid #E2E8F0CC;
    box-shadow: 0px 1px 2px -1px #0000001A;
}

.stat-improvement-card::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 6px;
    display: block;
    background: var(--bar-bg);
}

.stat-improvement-card.white-card::before {
    content: none;
}

.stat-improvement-card .stat-improvement-card__top {
    display: flex;
    gap: 12px;
    margin-bottom: 20px;
}

.stat-improvement-card .stat-improvement-card__icon-wrapper {
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    background: var(--icon-bg);
    border-radius: 14px;
}

.stat-improvement-card .stat-improvement-card__icon-img {
    height: 18px;
    width: auto;
}

.stat-improvement-card .stat-improvement-card__name {
    font-weight: 600;
    font-size: 14px;
    line-height: 140%;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #0F172B;
}

.stat-improvement-card .stat-improvement-card__type {
    font-weight: 400;
    font-size: 11px;
    line-height: 150%;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #90A1B9;
    margin-top: 5px;
}

.stat-improvement-card .stat-improvement-card__metric {
    font-weight: 600;
    font-size: 36px;
    line-height: 111%;
    letter-spacing: 0%;
    vertical-align: middle;
    background: var(--metric-color);
    width: fit-content;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.stat-improvement-card .stat-improvement-card__metric-wrapper {
    display: flex;
    align-items: flex-end;
    gap: 8px;
}

.stat-improvement-card.no-arrow .stat-improvement-card__trend-svg {
    display: none;
}

.stat-improvement-card .stat-improvement-card__trend-svg {
    margin-bottom: 7px;
    height: 18px;
    width: auto;
}

.stat-improvement-card .stat-improvement-card__trend-svg.down {
    transform: scale(1, -1);
}

.stat-improvement-card .stat-improvement-card__trend-svg path {
    stroke: var(--text-color);
}

.stat-improvement-card .stat-improvement-card__metric-name {
    font-weight: 400;
    font-size: 14px;
    line-height: 143%;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #90A1B9;
    margin-top: 4px;
}

.stat-improvement-card .stat-improvement-card__comparison-table {
    background-color: #fff;
    border: 1px solid #F1F5F9;
    padding: 16px;
    border-radius: 14px;
    margin-top: 24px;
    margin-bottom: 20px;
}

.stat-improvement-card .stat-improvement-card__table-top {
    display: flex;
}

.stat-improvement-card .stat-improvement-card__table-top-text {
    font-weight: 400;
    font-size: 10px;
    line-height: 15px;
    letter-spacing: 0.5px;
    vertical-align: middle;
    text-transform: uppercase;
    color: #90A1B9;
}

.stat-improvement-card .stat-improvement-card__table-top-text.right {
    text-align: right;
}

.stat-improvement-card .stat-improvement-card__table-top span {
    flex: 1;
}

.stat-improvement-card__stat-row {
    display: flex;
    gap: 8px;
    align-items: center;
}

.stat-improvement-card .stat-improvement-card__table-stat {
    font-weight: 600;
    font-size: 11px;
    line-height: 150%;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #62748E;
}

.stat-improvement-card .stat-improvement-card__table-metric {
    font-weight: 400;
    font-size: 12px;
    line-height: 135%;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #1D293D;
    width: 64px;
    flex-shrink: 0;
}

.stat-improvement-card .stat-improvement-card__table-metric.before {
    text-align: right;
    color: #90A1B9;
}

.stat-improvement-card .stat-improvement-card__table-bars {
    display: flex;
    flex: 1;
    gap: 6px;
    align-items: center;
}

.stat-improvement-card .stat-improvement-card__table-bars::after,
.stat-improvement-card .stat-improvement-card__table-bars::before {
    content: "";
    width: 100%;
    height: 6px;
    border-radius: 5px;
    background: #E2E8F0;
}

.stat-improvement-card .stat-improvement-card__table-bars::after {
    background: var(--bar-bg);
}

.stat-improvement-card .stat-improvement-card__table-blocks {
    display: flex;
    flex-direction: column;
    gap: 11px;
    margin-top: 3px;
}

.stat-improvement-card .stat-improvement-card__blocks {
    display: flex;
    gap: 8px;
}

.stat-improvement-card .stat-improvement-card__block {
    display: flex;
    flex-direction: column;
    gap: 2px;
    padding: 8px 4px;
    align-items: center;
    border: 1px solid #F1F5F9;
    border-radius: 10px;
    flex: 1;
}

.stat-improvement-card .stat-improvement-card__block-metric {
    font-weight: 400;
    font-size: 14px;
    line-height: 145%;
    letter-spacing: 0%;
    text-align: center;
    vertical-align: middle;
    color: #1D293D;
}

.stat-improvement-card .stat-improvement-card__block-type {
    font-weight: 400;
    font-size: 9px;
    line-height: 13.5px;
    letter-spacing: 0%;
    text-align: center;
    vertical-align: middle;
}

.stat-improvement-card .stat-improvement-card__link {
    display: flex;
    align-items: center;
    gap: 6px;
    color: var(--text-color);
    margin-top: 20px;
}

.stat-improvement-card .stat-improvement-card__link-arrow path {
    stroke: var(--text-color);
}

.stat-improvement-card .stat-improvement-card__text {
    font-size: 14px;
    line-height: 150%;
    color: #808899;
    margin-top: 12px;
    max-width: 300px;
}
